package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 动力箱指标对象 adm_ems_elec_box_index
 * 
 * @author ruoyi
 * @date 2024-09-03
 */
public class AdmEmsElecBoxIndex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 箱体代码 */
    @Excel(name = "箱体代码")
    private String boxCode;

    /** 箱体类型 */
    @Excel(name = "箱体类型")
    private Integer boxType;

    /** 服务区代码 */
    @Excel(name = "服务区代码")
    private String areaCode;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 电压(A相，伏） */
    @Excel(name = "电压(A相，伏）")
    private Double voltageA;

    /** 电压(B相，伏） */
    @Excel(name = "电压(B相，伏）")
    private Double voltageB;

    /** 电压(C相，伏） */
    @Excel(name = "电压(C相，伏）")
    private Double voltageC;

    /** 电流(A相，安培） */
    @Excel(name = "电流(A相，安培）")
    private Double electricityA;

    /** 电流(B相，安培） */
    @Excel(name = "电流(B相，安培）")
    private Double electricityB;

    /** 电流(C相，安培） */
    @Excel(name = "电流(C相，安培）")
    private Double electricityC;

    /** 功率（千瓦） */
    @Excel(name = "功率", readConverterExp = "千=瓦")
    private Double power;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBoxCode(String boxCode) 
    {
        this.boxCode = boxCode;
    }

    public String getBoxCode() 
    {
        return boxCode;
    }
    public void setBoxType(Integer boxType) 
    {
        this.boxType = boxType;
    }

    public Integer getBoxType() 
    {
        return boxType;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }
    public void setVoltageA(Double voltageA) 
    {
        this.voltageA = voltageA;
    }

    public Double getVoltageA() 
    {
        return voltageA;
    }
    public void setVoltageB(Double voltageB) 
    {
        this.voltageB = voltageB;
    }

    public Double getVoltageB() 
    {
        return voltageB;
    }
    public void setVoltageC(Double voltageC) 
    {
        this.voltageC = voltageC;
    }

    public Double getVoltageC() 
    {
        return voltageC;
    }
    public void setElectricityA(Double electricityA) 
    {
        this.electricityA = electricityA;
    }

    public Double getElectricityA() 
    {
        return electricityA;
    }
    public void setElectricityB(Double electricityB) 
    {
        this.electricityB = electricityB;
    }

    public Double getElectricityB() 
    {
        return electricityB;
    }
    public void setElectricityC(Double electricityC) 
    {
        this.electricityC = electricityC;
    }

    public Double getElectricityC() 
    {
        return electricityC;
    }
    public void setPower(Double power) 
    {
        this.power = power;
    }

    public Double getPower() 
    {
        return power;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("boxCode", getBoxCode())
            .append("boxType", getBoxType())
            .append("areaCode", getAreaCode())
            .append("date", getDate())
            .append("time", getTime())
            .append("voltageA", getVoltageA())
            .append("voltageB", getVoltageB())
            .append("voltageC", getVoltageC())
            .append("electricityA", getElectricityA())
            .append("electricityB", getElectricityB())
            .append("electricityC", getElectricityC())
            .append("power", getPower())
            .toString();
    }
}
